Field NationDeveloper Platform
Field NationDeveloper Platform
Overview
List Delivery Logs GETGet Delivery Log Details GETRetry Delivery Log PATCH
Delivery Logs

Get Delivery Log Details


Retrieve detailed information about a single webhook delivery attempt, including status, timestamps, and a pre-signed URL to the full log file. Use this endpoint to investigate why a specific delivery succeeded or failed.

GET
/api/v1/webhooks/delivery-logs/{deliveryId}

Authorization

bearer
AuthorizationBearer <token>

Standard HTTP Bearer authentication using JWT. Provide your API key in the Authorization header as 'Bearer '.

In: header

Path Parameters

deliveryId*string

The deliveryId parameter

curl -X GET "https://api-sandbox.fndev.net/api/v1/webhooks/delivery-logs/string"
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "result": {
    "deliveryId": "string",
    "webhookId": "string",
    "eventName": "string",
    "deliveryStatus": 0,
    "deliveryAttempt": 0,
    "createdAt": "string",
    "delivery_log": "string"
  }
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

List Delivery Logs GET

Previous Page

Retry Delivery Log PATCH

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/v1/webhooks/delivery-logs/string"